New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Nextcloud-15.0 & user_external-0.4 #4

Closed
Thom1b opened this Issue Dec 11, 2018 · 3 comments

Comments

Projects
None yet
4 participants
@Thom1b
Copy link

Thom1b commented Dec 11, 2018

Affected apps

user_external

Steps to reproduce

Upgrade from Nextcloud-14.0.4 to Nextcloud-15.0

Expected behaviour

user_external should work

Actual behaviour

user_external can't be enable because version 0.4, which is embebbed, in nc-15.0 doesn't support nc-15.0.
"apps/user_external/appinfo/info.xml":
<nextcloud min-version="13" max-version="14" />

I tried do simply modify max-version to 15 and it seems working (with IMAP authentification in my case).

@Glandos

This comment has been minimized.

Copy link
Contributor

Glandos commented Dec 11, 2018

Moreover, since the application is provided in the archive, if it's already enabled, occ upgrade failed with:

UnexpectedValueException: The files of the app "user_external" were not correctly replaced before running the update

I'm also relying on IMAP authentication.

@MojoDwarf

This comment has been minimized.

Copy link

MojoDwarf commented Dec 11, 2018

I ran into this same issue. The Web based update failed. I manually disabled the app, completed the update from the terminal, edited the max-version value as OP mentioned, and now everything is working. I've included my steps below just in case someone comes looking for an immediate fix.

occ app:disable user_external
occ upgrade
vi apps/user_external/appinfo/info.xml
occ app:enable user_external

I also use IMAP authentication, and I just wanted to add after this update 2FA is now working for external users, which was not true in the past. Very nice.

@MariusBluem MariusBluem transferred this issue from nextcloud/apps Dec 20, 2018

@violoncelloCH

This comment has been minimized.

Copy link
Member

violoncelloCH commented Dec 21, 2018

thank you for reporting
duplicate of nextcloud/server#12506
also we probably unbundle user_external and update it independently via appstore (#22) so it will be fixed with NC 15.0.1 or as soon as we have got the update via appstore ready

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment